//---------------------------------------------------------------------------
#ifndef editH
#define editH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "qrextra.hpp"
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
class TfrmEditor : public TForm
{
__published:	// IDE-managed Components
	TQREditor *QREditor;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *miNew;
	TMenuItem *SaveReport;
	TMenuItem *SaveReportAs;
	TMenuItem *Open1;
	TMenuItem *N1;
	TMenuItem *CloseFile;
	TMenuItem *PreviewReport;
	TMenuItem *PrintReport;
	TMenuItem *N2;
	TMenuItem *Exit1;
	TMenuItem *Edit1;
	TMenuItem *ReportLayout;
	TMenuItem *DataSetup;
	TMenuItem *Grouping1;
	TMenuItem *Help1;
	TMenuItem *AboutQuickreport1;
	void __fastcall miNewClick(TObject *Sender);
	void __fastcall Open1Click(TObject *Sender);
	void __fastcall SaveReportClick(TObject *Sender);
	void __fastcall SaveReportAsClick(TObject *Sender);
	void __fastcall CloseFileClick(TObject *Sender);
	void __fastcall PreviewReportClick(TObject *Sender);
	void __fastcall PrintReportClick(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	
	void __fastcall AboutQuickreport1Click(TObject *Sender);
private:	// User declarations
    boolean __fastcall AskAndSave();
    void __fastcall SetMenuItems();
public:		// User declarations
	__fastcall TfrmEditor(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TfrmEditor *frmEditor;
//---------------------------------------------------------------------------
#endif
