//---------------------------------------------------------------------------
#ifndef menuH
#define menuH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "quickrpt.hpp"
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TImage *Image2;
	TGroupBox *GroupBox1;
	TRadioButton *SimpleList;
	TRadioButton *GroupedList;
	TRadioButton *MasterDetail;
	TRadioButton *SQLMasterDetail;
	TMemo *Description;
	TRadioButton *RadioButton1;
	TButton *Preview;
	TButton *Print;
	TButton *Exit;
	TQRCompositeReport *QRCompositeReport1;
	TQuickRep *CompositeReport;
	void __fastcall PreviewClick(TObject *Sender);
	void __fastcall PrintClick(TObject *Sender);
	void __fastcall ExitClick(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall SimpleListClick(TObject *Sender);
	void __fastcall GroupedListClick(TObject *Sender);
	void __fastcall MasterDetailClick(TObject *Sender);
	void __fastcall SQLMasterDetailClick(TObject *Sender);
	void __fastcall RadioButton1Click(TObject *Sender);
	void __fastcall QRCompositeReport1AddReports(TObject *Sender);
private:	// User declarations
	TQuickRep* FReport;
    void __fastcall SetReport(TQuickRep* Value);
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
    __property TQuickRep* Report = {read=FReport, write=SetReport};
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
