//---------------------------------------------------------------------------
#include <stddef.h>
#include <vcl\vcl.h>
#pragma hdrstop

#include "prevform.h"
//---------------------------------------------------------------------------
// When you reference any of the QRPrinter properties and methods, make sure
// you include the "qrprntr" with the #pragma link list
#pragma link "qrprntr"
#pragma resource "*.dfm"
TPreviewForm *PreviewForm;
//---------------------------------------------------------------------------
__fastcall TPreviewForm::TPreviewForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::FormClose(TObject *Sender, TCloseAction &Action)
{
  // You must set this object to NULL when closing a preview form
  QRPreview1->QRPrinter = NULL;

  // Since we are a modeless preview, we must free ourselves
  Free();
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::SpeedButton5Click(TObject *Sender)
{
  QRPreview1->Zoom += 20;
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::SpeedButton6Click(TObject *Sender)
{
  QRPreview1->Zoom -= 20;
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::SpeedButton2Click(TObject *Sender)
{
  QRPreview1->PageNumber -= 1;
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::SpeedButton3Click(TObject *Sender)
{
  QRPreview1->PageNumber += 1;
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::SpeedButton1Click(TObject *Sender)
{
  QRPreview1->PageNumber = 1;
}
//---------------------------------------------------------------------------
void __fastcall TPreviewForm::SpeedButton4Click(TObject *Sender)
{
  QRPreview1->PageNumber = QRPreview1->QRPrinter->PageCount;
}
//---------------------------------------------------------------------------